/*Loading page */
$(window).on("load", function(){
    $(".loading-page")
    .fadeOut(2000 , function(){
        $("body").css("overflow" , "auto");
        $("this").fadeOut(1500 , function(){
            $(this).remove();
        });
    });
});  
$(document).ready(function () {
    //animation icon toggler of navbar
    $(`.navbar-toggler`).click(function() {
        $(`.navbar-toggler`).toggleClass(`active`);
    });
    //Wow intit
    wow = new WOW({
        boxClass: 'wow',
        animateClass: 'animated',
        offset: 200,
        mobile: true,
        live: false
    });
    wow.init();
    //smooth_scroll
    smoothScroll.init();
    var amountScrolled = 300;
    $(window).scroll(function () {
        if ($(window).scrollTop() > amountScrolled) {
            $('#scroll-btn').fadeIn('slow');
        } else {
            $('#scroll-btn').fadeOut('slow');
        }
    });
    $('#scroll-btn').click(function () {
        $('html, body').animate({
            scrollTop: 0
        }, 1000);
        return false;
    });
    //fancybox
    $("[data-fancybox]").fancybox({
        selector: '[data-fancybox="images"]',
        loop: true
    });
    //tooltip
    $(function () {
        $('[data-toggle="tooltip"]').tooltip();
    });
});
// header swiper
var swiper = new Swiper('.swiper-head', {
    speed: 1000,
    loop: true,
    effect: 'fade',
    autoplay: {
        delay: 6000,
    },
    // pagination: {
    //     el: '.swiper-pagination',
    //     clickable: true,
    //   },
    pagination: {
        el: '.swiper-numbers',
        type: 'fraction',
    },
    navigation: {
        nextEl: '.swiper-next',
        prevEl: '.swiper-prev',
    },
});
$('.services-carousel').owlCarousel({
    rtl:true,
    margin:20,
    items:1,
    loop:true,
    nav:false,
    dots: true,
    mouseDrag:true,
    touchDrag:true
})
$('.team-carousel').owlCarousel({
    rtl:true,
    margin:20,
    loop:true,
    nav:false,
    dots:true,
    mouseDrag:true,
    touchDrag:true,
    responsive:{
        0:{
            items:1,
        },
        600:{
            items:3,

        },
        1000:{
            items:4,
        }
    }
})
$('.blog-carousel').owlCarousel({
    rtl:true,
    margin:20,
    items:1,
    loop:true,
    nav:true,
    dots: false,
    mouseDrag:true,
    touchDrag:true
})
$('.single-blog-carousel').owlCarousel({
    rtl:true,
    margin:20,
    items:1,
    loop:true,
    nav:true,
    dots:false,
    mouseDrag:true,
    touchDrag:true,
})
$('.branches-carousel').owlCarousel({
    rtl:true,
    margin:20,
    loop:false,
    nav:false,
    dots:true,
    mouseDrag:true,
    touchDrag:true,
    responsive:{
        0:{
            items:1,
        },
        600:{
            items:2,

        },
        1000:{
            items:2,
        }
    }
})
//Owl carousel
// $('.owl-carousel').owlCarousel({
//     rtl:true,
//     margin:20,
//     responsive:{
//         0:{
//             items:1,
//             loop:true,
//             nav:true,
//             mouseDrag:true,
//             touchDrag:true

//         },
//         600:{
//             items:2,
//             loop:true,
//             nav:true,
//             mouseDrag:true,
//             touchDrag:true
//         },
//         1000:{
//             items:3,
//             loop:false,
//             nav:false,
//             mouseDrag:false,
//             touchDrag:false,
//         }
//     }
// })